# Interface methods for submodule: FastMarchingImageToNodePairContainerAdaptor
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: FastMarchingImageToNodePairContainerAdaptor
class FastMarchingImageToNodePairContainerAdaptorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetAliveImage(self, iImage) -> None:
		""""""
		...

	def GetAliveImage(self):
		""""""
		...

	def SetTrialImage(self, iImage) -> None:
		""""""
		...

	def GetTrialImage(self):
		""""""
		...

	def SetForbiddenImage(self, iImage) -> None:
		""""""
		...

	def GetForbiddenImage(self):
		""""""
		...

	def SetIsForbiddenImageBinaryMask(self, _arg: bool) -> None:
		""""""
		...

	def GetIsForbiddenImageBinaryMask(self) -> bool:
		""""""
		...

	def IsForbiddenImageBinaryMaskOn(self) -> None:
		""""""
		...

	def IsForbiddenImageBinaryMaskOff(self) -> None:
		""""""
		...

	def GetAlivePoints(self):
		""""""
		...

	def GetTrialPoints(self):
		""""""
		...

	def GetForbiddenPoints(self):
		""""""
		...

	def SetAliveValue(self, _arg: float) -> None:
		""""""
		...

	def GetAliveValue(self) -> float:
		""""""
		...

	def SetTrialValue(self, _arg: float) -> None:
		""""""
		...

	def GetTrialValue(self) -> float:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

